/******************** (C) COPYRIGHT 2024 GeekRebot *****************************
* File Name          : bsp_GPIO.c
* Current Version    : V1.0  & ST 3.5.0
* Author             : zhanli 719901725@qq.com
* Date of Issued     : 2024.01.17 Create
* Comments           : GPIO弶ְ֧(Board Support Pack)ðеIO
                       ã
********************************************************************************/
#include "bsp_GPIO.h"   

/**----------------------------------------------------------------------
* Function    : LED_GPIO_Config
* Description : ʼLED1GPIO
* Author      : zhanli&719901725@qq.com
* Date        : 2024/01/17 zhanli
*---------------------------------------------------------------------**/ 
void LED_GPIO_Config(void)
{		
    /* һGPIO_InitTypeDef͵Ľṹ */
    GPIO_InitTypeDef GPIO_InitStructure;
    RCC_APB2PeriphClockCmd(LED_BLUE_CLK, ENABLE); 	         /* GPIOʱ */																   
    GPIO_InitStructure.GPIO_Pin   = LED_BLUE_Pin;	         /* ѡҪƵGPIO */	
    GPIO_InitStructure.GPIO_Mode  = GPIO_Mode_Out_PP;        /* ģʽΪͨ */   
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;        /* Ϊ50MHz */ 
    GPIO_Init(LED_BLUE_PORT, &GPIO_InitStructure);           /* ÿ⺯ʼGPIOC13 */	
}

/**----------------------------------------------------------------------
* Function    : LED_Flash
* Description : LED˸
* Author      : zhanli&719901725@qq.com
* Date        : 2024/01/17 zhanli
*---------------------------------------------------------------------**/ 
void LED_Flash(int time)
{	
    static int temp;
    if(++temp == time){
        // LED ɫɫ״̬ת
        GPIO_WriteBit(LED_BLUE_PORT, LED_BLUE_Pin, 
                (BitAction) (1 - GPIO_ReadInputDataBit(LED_BLUE_PORT, LED_BLUE_Pin)));
        temp = 0;
    } 
}
